package com.ruoyi.hezhi.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.hezhi.domain.TbStudyCenterFile;
import com.ruoyi.hezhi.mapper.TbStudyCenterFileMapper;
import com.ruoyi.hezhi.service.ITbStudyCenterFileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 学习中心文件Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-18
 */
@Service
public class TbStudyCenterFileServiceImpl implements ITbStudyCenterFileService
{
    @Autowired
    private TbStudyCenterFileMapper tbStudyCenterFileMapper;

    /**
     * 查询学习中心文件
     *
     * @param studyCenterFileId 学习中心文件主键
     * @return 学习中心文件
     */
    @Override
    public TbStudyCenterFile selectTbStudyCenterFileByStudyCenterFileId(Long studyCenterFileId)
    {
        return tbStudyCenterFileMapper.selectTbStudyCenterFileByStudyCenterFileId(studyCenterFileId);
    }

    /**
     * 查询学习中心文件列表
     *
     * @param tbStudyCenterFile 学习中心文件
     * @return 学习中心文件
     */
    @Override
    public List<TbStudyCenterFile> selectTbStudyCenterFileList(TbStudyCenterFile tbStudyCenterFile)
    {
        return tbStudyCenterFileMapper.selectTbStudyCenterFileList(tbStudyCenterFile);
    }

    /**
     * 新增学习中心文件
     *
     * @param tbStudyCenterFile 学习中心文件
     * @return 结果
     */
    @Override
    public int insertTbStudyCenterFile(TbStudyCenterFile tbStudyCenterFile)
    {
        tbStudyCenterFile.setCreateTime(DateUtils.getNowDate());
        return tbStudyCenterFileMapper.insertTbStudyCenterFile(tbStudyCenterFile);
    }

    /**
     * 修改学习中心文件
     *
     * @param tbStudyCenterFile 学习中心文件
     * @return 结果
     */
    @Override
    public int updateTbStudyCenterFile(TbStudyCenterFile tbStudyCenterFile)
    {
        tbStudyCenterFile.setUpdateTime(DateUtils.getNowDate());
        return tbStudyCenterFileMapper.updateTbStudyCenterFile(tbStudyCenterFile);
    }

    /**
     * 批量删除学习中心文件
     *
     * @param studyCenterFileIds 需要删除的学习中心文件主键
     * @return 结果
     */
    @Override
    public int deleteTbStudyCenterFileByStudyCenterFileIds(Long[] studyCenterFileIds)
    {
        return tbStudyCenterFileMapper.deleteTbStudyCenterFileByStudyCenterFileIds(studyCenterFileIds);
    }

    /**
     * 删除学习中心文件信息
     *
     * @param studyCenterFileId 学习中心文件主键
     * @return 结果
     */
    @Override
    public int deleteTbStudyCenterFileByStudyCenterFileId(Long studyCenterFileId)
    {
        return tbStudyCenterFileMapper.deleteTbStudyCenterFileByStudyCenterFileId(studyCenterFileId);
    }
}
